Add an option to run ftools in batch mode (clip, buffer, dissolve and others)

2012-01-02 06:11 AM - Giovanni Manghi

Status: Closed

Priority: High

Assignee:

Category: Processing/QGIS

Pull Request or Patch supplied:No Resolution: invalid

Easy fix?: Copied to github as #: 14607

Description

There are tools in QGIS that support batch operations, for example the "warp" tool of the raster menu.

It would be nice to support batch operations also for a few of the vector tools, like for example the clip and the buffer tools.

Example:

given an (1) input vector, clip it using all the polygon vectors available in one folder (or selected by the user).

History

#1 - 2012-04-15 10:06 AM - Giovanni Manghi

- Target version changed from Version 1.8.0 to Version 2.0.0

#2 - 2012-10-06 02:16 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#3 - 2012-12-21 09:01 AM - Giovanni Manghi

- Priority changed from Normal to High

- Subject changed from add batch clipping of vectors (and also buffer and probably other opeartions) to Add an option to run ftools in batch mode (clip, 

buffer, dissolve and others)

It seems to me that we should allow to run this tools in batch mode as for the tools in the raster menu.

#4 - 2012-12-21 09:12 AM - Giovanni Manghi

- File Capture.PNG added

screenshot attached

#5 - 2012-12-21 09:13 AM - Giovanni Manghi

https://issues.qgis.org/attachments/5223/Capture.PNG

#6 - 2013-03-13 03:14 AM - Alexander Bruy

Not sure if I understand this correctly, but seems SEXTANTE allows to run this tools in batch mode
#7 - 2013-03-13 04:15 AM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to invalid

#8 - 2017-05-01 01:22 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.

Files

Capture.PNG 74.7 KB 2012-12-21 Giovanni Manghi
